@media screen and (max-width: 991px) {
    .pre-header {
        .wp-block-columns {
            flex-direction: column !important;
        }

        .wp-block-group {
            &.is-content-justification-right {
                justify-content: flex-start !important;
                gap: var(--wp--preset--spacing--small-primary) !important;
            }

            .wp-block-button {
                .wp-block-button__link {
                    text-align: left !important;
                }
            }
        }
    }

    .wp-block-group {
        &[style*="padding-left:var(--wp--preset--spacing--large-tertiary)"] {
            padding-left: 0 !important;
        }

        &[style*="padding-right:var(--wp--preset--spacing--large-tertiary)"] {
            padding-right: 0 !important;
        }
    }

    .wp-block-columns {
        .wp-block-column {
            &.has-background {
                .wp-block-group {
                    &[style*="padding-left:var(--wp--preset--spacing--large-primary)"] {
                        padding-left: var(--wp--preset--spacing--small-secondary) !important;
                    }

                    &[style*="padding-right:var(--wp--preset--spacing--large-primary)"] {
                        padding-right: var(--wp--preset--spacing--small-secondary) !important;
                    }
                }
            }

            &:last-child {
                .wp-block-group {
                    &[style*="padding-left:var(--wp--preset--spacing--medium-secondary)"] {
                        padding-left: 0 !important;
                    }
                }
            }
        }

        &.has-secondary-background-color {
            .wp-block-group {
                &[style*="padding-left:var(--wp--preset--spacing--medium-secondary)"] {
                    padding-left: 0 !important;
                }

                &[style*="padding-right:var(--wp--preset--spacing--medium-secondary)"] {
                    padding-right: 0 !important;
                }
            }
        }
    }

    .footer {
        .wp-block-group {
            .has-text-align-right {
                text-align: left !important;
            }
        }
    }
}

@media screen and (min-width: 992px) {
    .pre-header {
        .heroicon-template-container {
            svg {
                width: 25px !important;
                height: auto !important;
            }
        }
    }
}

@media screen and (min-width: 992px) and (max-width: 1365px) {
    .pre-header {
        .wp-block-columns {
            flex-direction: column !important;
        }

        .wp-block-group {
            &.is-content-justification-right {
                justify-content: flex-start !important;
            }
        }
    }

    .wp-block-columns {
        &.has-secondary-background-color {
            .wp-block-group {
                &[style*="padding-left:var(--wp--preset--spacing--medium-secondary)"] {
                    padding-left: 0 !important;
                }

                &[style*="padding-right:var(--wp--preset--spacing--medium-secondary)"] {
                    padding-right: 0 !important;
                }
            }
        }
    }

    .wp-block-group {
        &[style*="padding-left:var(--wp--preset--spacing--large-primary)"] {
            padding-left: var(--wp--preset--spacing--medium-primary) !important;
        }

        &[style*="padding-right:var(--wp--preset--spacing--large-primary)"] {
            padding-right: var(--wp--preset--spacing--medium-primary) !important;
        }
    }

    .footer {
        .has-text-align-right {
            text-align: left !important;
        }
    }
}